<!DOCTYPE html>
<html lang="de">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>alphaNEXT Downloader</title>

     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>


    <style>
html {
  height: 100%;
}

body {
  background-image: radial-gradient(circle farthest-corner at center, #3C4B57 0%, #1C262B 100%);
  color: #fff;
    overflow: hidden;
}

.loader {
  position: absolute;
  top: calc(50% - 32px);
  left: calc(50% - 32px);
  width: 120px;
  height: 120px;
  border-radius: 50%;
  perspective: 800px;
}

.inner {
  position: absolute;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  border-radius: 50%;  
}

.inner.one {
  left: 0%;
  top: 0%;
  animation: rotate-one 1s linear infinite;
  border-bottom: 5px solid #006E96;
}

.inner.two {
  right: 0%;
  top: 0%;
  animation: rotate-two 1s linear infinite;
  border-right: 5px solid #006E96;
}

.inner.three {
  right: 0%;
  bottom: 0%;
  animation: rotate-three 1s linear infinite;
  border-top: 5px solid #006E96;
}

@keyframes rotate-one {
  0% {
    transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
  }
}

@keyframes rotate-two {
  0% {
    transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
  }
}

@keyframes rotate-three {
  0% {
    transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
  }
  100% {
    transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
  }
}


svg {
    width: 30px;
    margin-top: 41px;
    margin-left: 43px;
}
p.footer {
    text-align: center;
    font-family: sans-serif;
    color: #cecece;
    font-size: 11px;
    position: absolute;
    bottom: 0;
    width: 100%;
}
    </style>

  </head>
  <body>
    <script>
      $(document).ready(function() { 
        window.setTimeout(function() {
            window.location.href = '//<?php echo $_SERVER['HTTP_HOST'];?>/<?php echo $_SERVER['SCRIPT_NAME'];?>?action=startDownload';
        }, 5000);

      });

        
    </script>


    <div class="loader">
      <div class="inner one"></div>
      <div class="inner two"></div>
      <div class="inner three"></div>

      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 21.45 29.69"><path d="M16.32,22.25,8.32,8H3.76L11.6,22.21,2.86,37.69H7.38S16.12,22.47,16.32,22.25Z" transform="translate(-2.86 -8)" style="fill:#fff"/><polygon points="13.96 14.26 13.94 14.28 13.95 14.3 13.97 14.28 13.96 14.26" style="fill:#fff"/><polygon points="20.8 4.03 16.38 4.03 12.45 10.18 14.69 13.73 20.8 4.03" style="fill:#fff"/><path d="M24.31,33.62,17.54,23l-2.27,3.47,4.65,7.16Z" transform="translate(-2.86 -8)" style="fill:#fff"/></svg>

    </div>



    <p class="footer">© <?php echo date('Y'); ?> alphaBIT digitale Text-und Bildverarbeitungs GmbH, Hannover</p>


  </body>
</html>


<?php


if (isset($_GET['action']) && $_GET['action'] == 'startDownload'){

  // Initialize a file URL to the variable
  $url = 'https://api.alphanext.de/data/alphanext_stable/alphanext_stable.zip';
   
  // Use basename() function to return the base name of file
  $file_name = basename($url);
    
  // Use file_get_contents() function to get the file
  // from url and use file_put_contents() function to
  // save the file by using base name
  if(file_put_contents($file_name, file_get_contents($url)) ) {

      // Download.zip entpacken
      $path = pathinfo(realpath($file_name), PATHINFO_DIRNAME);

      $zip = new ZipArchive;
      $res = $zip->open($file_name);
      if ($res === TRUE) {
        // extract it to the path we determined above
        $zip->extractTo($path);
        $zip->close();

        echo "Download von alphaNEXT-stable erfolgreich. Sie werden gleich weitergeleitet...";
      } else {
        echo "Der Download von alphaNEXT-stable ist gescheitert!";
      }


      //_MAXOSX - Dateien löschen
      if (file_exists($_SERVER['DOCUMENT_ROOT'].'__MACOSX')){

        $strDir = $_SERVER['DOCUMENT_ROOT'].'__MACOSX';
        $arFiles = scandir ( $strDir );
        foreach ( $arFiles as $strFile )
        {
            if ( $strFile != '.' && $strFile != '..'
                && ! is_link ( $strDir . $strFile )
                && is_file ( $strDir . $strFile ) )
            {
                if ( @ unlink ( $strDir . $strFile ) )
                {
                    //print 'Gelöscht: ' . $strDir . $strFile . '<br />' . "\n";
                }
                else
                {
                    //print 'Fehlschlag: ' . $strDir . $strFile . '<br />' . "\n";
                }
            }
        }
      }


      if (file_exists($file_name)){
        unlink($file_name);
      }

      if (file_exists("__MACOSX")){
            DeleteRecursive("__MACOSX");
        }


      //Weiterleiten
      $redirect_path = '//'.$_SERVER['SERVER_NAME'].'/index.php';
      header("Location: ".$redirect_path);
      

  }
  else {
      echo "Der Download von alphaNEXT-stable ist gescheitert! Bitte kontaktieren Sie einen Administrator.";
  }

}



function DeleteRecursive($absolutePath)
    {
        $dir = opendir($absolutePath);
        $output = "";
        while ($pathItem = readdir($dir))
        {
            if ($pathItem!='..' && $pathItem!='.')
            {
                $toDelete = $absolutePath. '/' .$pathItem;
                if (is_dir($toDelete))
                {
                    $output .= DeleteRecursive($toDelete);
                    /* if (!rmdir($toDelete))
                    {
                        //echo '<p style="color:red;">Ordner "' . $toDelete . '" konnte nicht gelöscht werden <br /></p>';
                    }*/
                }
                else
                {
                    if (!unlink($toDelete))
                    {
                        //echo '<p style="color:red;">Datei "' . $toDelete . '" konnte nicht gelöscht werden <br /></p>';
                    }
                }
            }
        }
        rmdir($absolutePath);
    }


?>